Subject: bug#45822: closed (Re: bug#45822: Guix cannot update again and again)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Feb 2025 22:17:16 +0000

Your bug report

#45822: Guix cannot update again and again

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45822: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=45822
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45822: Guix cannot update again and again
From: Simon Tournier <[email-masked]>
To: "Dr. Arne Babenhauserheide" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 21 Feb 2025 23:15:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

For reference: https://issues.guix.gnu.org/issue/45822

On Tue, 12 Jan 2021 at 20:39, "Dr. Arne Babenhauserheide" <[email-masked]> wrote:

>> $ guix pull && guix package -u
>> ...
>> building /gnu/store/7ingg9zn1jv0gy4lv93bj4xl1rg12s4p-gvfs-1.40.1.drv...
>> building /gnu/store/96wkbqpdv3b5wppma08x4xi8ps7ql82n-audacity-2.4.2.drv...
>> building /gnu/store/xlvl0iymrcgnl9ng8vp53ibc0rmzl4qw-pcmanfm-1.3.1.drv...
>> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: error: TLS error in procedure 'read_from_session_record_port': Error in the pull function.
>> guix package: error: unexpected end-of-file
>
> This example is in guix pull, it looks like either a network error or an
> error in your local encryption stack.
>
> If other examples are in guix package -u, you can add -k (--keep), then
> previous good builds will be kept and won’t have to be rebuilt on the
> next try.
>
> However I have been in configurations that for some reasons did not
> work. This helped me out of that:
>
> guix pull && guix package -I | cut -f 1,3 | sed 's/\t/:/' | xargs guix install -k

Well, no more activity after years.  So closing!

Thanks for the report and the comment.  I think now the issue is fixed,
isn’t it? :-)

Feel free to reopen if I’m missing something.

Cheers,
simon

Subject: Guix cannot update again and again
From: [email-masked]
To: "bug-guix" <[email-masked]>
Date: Tue, 12 Jan 2021 18:18:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello! I make update under root normally.
But normal user cannot finish updates for several times during these 3 weeks.
Sometimes process stops on downloading one file,sometimes another.
I can remember when I had bad connection I restarted updates again and again and finally got my profile updated.
Is it a problem with my network or Guix servers, or guix code?

$ guix pull && guix package -u
...
building /gnu/store/7ingg9zn1jv0gy4lv93bj4xl1rg12s4p-gvfs-1.40.1.drv...
building /gnu/store/96wkbqpdv3b5wppma08x4xi8ps7ql82n-audacity-2.4.2.drv...
building /gnu/store/xlvl0iymrcgnl9ng8vp53ibc0rmzl4qw-pcmanfm-1.3.1.drv...
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: error: TLS error in procedure 'read_from_session_record_port': Error in the pull function.
guix package: error: unexpected end-of-file

~$ guix describe
Generation 8 Jan 12 2021 20:05:21 (current)
 guix bb4e674
 repository URL: https://git.savannah.gnu.org/git/guix.git
 branch: master
 commit: bb4e67415eb6d9871ee1b50b0a01e08c19f4809a